Please help us to make AbanteCart Ideal Open Source Ecommerce Solution for everyone.

Support AbanteCart eCommerce

Author Topic: Upgrade Error  (Read 762 times)

Offline garyfartsalot

  • Newbie
  • *
  • Posts: 21
  • Karma: +0/-0
    • View Profile
Upgrade Error
« on: May 30, 2022, 12:44:54 PM »
When I upgrade from 1.2.15 to 1.2.16 I get the following errors:
----------------------
Error: Cannot upgrade file : 'core/lib/BasePaymentHandler.php
Error: Cannot upgrade file : 'core/lib/PaymentHandlerInterface.php

Error: Cannot upgrade file : 'core/lib/BasePaymentHandler.php
Error: Cannot upgrade file : 'core/lib/PaymentHandlerInterface.php
------------------------
Any idea what I can do to fix?

Offline dvagner

  • Core/UI Developer
  • Jr. Member
  • **
  • Posts: 71
  • Karma: +27/-1
    • View Profile
Re: Upgrade Error
« Reply #1 on: May 31, 2022, 02:51:14 AM »
Check File Permissions

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 2004
  • Karma: +309/-12
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Upgrade Error
« Reply #2 on: May 31, 2022, 04:01:13 AM »
When I upgrade from 1.2.15 to 1.2.16 I get the following errors:
----------------------
Error: Cannot upgrade file : 'core/lib/BasePaymentHandler.php
Error: Cannot upgrade file : 'core/lib/PaymentHandlerInterface.php

Error: Cannot upgrade file : 'core/lib/BasePaymentHandler.php
Error: Cannot upgrade file : 'core/lib/PaymentHandlerInterface.php
------------------------
Any idea what I can do to fix?
you should to check permissions for directory public_html/core/lib. It must be writable for web-server system user
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline garyfartsalot

  • Newbie
  • *
  • Posts: 21
  • Karma: +0/-0
    • View Profile
Re: Upgrade Error
« Reply #3 on: May 31, 2022, 07:10:46 AM »
I had a look in the folder and those two files do not exist.

Is it possible it was trying to add the two files?

Offline garyfartsalot

  • Newbie
  • *
  • Posts: 21
  • Karma: +0/-0
    • View Profile
Re: Upgrade Error
« Reply #4 on: May 31, 2022, 07:20:30 AM »
I checked a brand new build and those files dont appear in that either, obvs not required?

 

Powered by SMFPacks Social Login Mod